namespace Wizard;

public class PracticeStartTask : BaseTask
{
	public PracticeStartTask()
	{
		base.type = ApiType.Type.PracticeStart;
	}

	protected override int Parse()
	{
		DataMgr dataMgr = GameMgr.GetIns().GetDataMgr();
		int num = base.Parse();
		if (num != 1)
		{
			return num;
		}
		if (base.ResponseData["data"].Keys.Contains("mission_parameter"))
		{
			dataMgr.SetMissionNecessaryInformation(base.ResponseData["data"]["mission_parameter"]);
		}
		return num;
	}
}
